# Uses of Interface
org.eclipse.birt.report.engine.api.IStatusHandler

Packages that use IStatusHandler
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IStatusHandler in org.eclipse.birt.report.engine.api

Classes in org.eclipse.birt.report.engine.api that implement IStatusHandler
Modifier and Type
Class
Description
`class`
`DefaultStatusHandler`
default implementation for a status handler.
Methods in org.eclipse.birt.report.engine.api that return IStatusHandler
Modifier and Type
Method
Description
`IStatusHandler`
EngineConfig.`getStatusHandler()`
returns the status handler
Methods in org.eclipse.birt.report.engine.api with parameters of type IStatusHandler
Modifier and Type
Method
Description
`void`
EngineConfig.`setStatusHandler(IStatusHandler handler)`
sets the handler for reporting report running status.
`void`
IEngineTask.`setStatusHandler(IStatusHandler handler)`
set a task-level status handler, this handler will override the engine-level one